=== debian/changelog ===
cura-engine (1:2.5.0-3) unstable; urgency=medium

  [ Gregor Riepl ]
  * Added printer definition file for autopkgtest.
  * Added missing extruder definition for autopkgtest.
  * Added missing cinttypes include to StringTest and document
    upstream PR link.

  [ Petter Reinholdtsen ]
  * Restructured debian/patches/ to number based on source and planned trajectory.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 17 Oct 2017 10:49:17 +0200

cura-engine (1:2.5.0-2) unstable; urgency=medium

  * Added 1000-64-bit-safe-stringtest.patch to fix build problem on
    some architectures.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 07 Oct 2017 18:20:53 +0000

cura-engine (1:2.5.0-1) unstable; urgency=medium

  [ Gregor Riepl ]
  * New upstream version (Closes: #744112).
  * Updated maintainer to 3dprinter list
  * Incremented epoch to work around version conflict with CuraEngine 1

  [ Petter Reinholdtsen ]
  * Added cura-engine.docs to include documentation in package.
  * Added simple autopkgtest script to test the slicing.
  * Enable build time testing and add 0010-64-bit-safe-writeInt2mm.patch.
  * Changed Standards-Version from 4.1.0 to 4.1.1.
  * Disabled use of arcus until libarcus is in unstable.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 06 Oct 2017 23:14:24 +0200

cura-engine (14.01-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Apply patch from Graham Inggs <ginggs@debian.org> to fix FTBFS with a
    recent toolchain.  Closes: #818140

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 09 Mar 2017 13:43:30 +0100

cura-engine (14.01-2) unstable; urgency=medium

  * Add pkg-config build dependency. (Closes: #737942)
  * Add python build dependency to allow running tests.

 -- Bas Wijnen <wijnen@debian.org>  Fri, 07 Feb 2014 16:59:54 -0500

cura-engine (14.01-1) unstable; urgency=low

  * Initial Release. (Closes: #729146)
  * Make include paths nicer.
  * Use system clipper library.
  * Report correct version.

 -- Bas Wijnen <wijnen@debian.org>  Tue, 04 Feb 2014 20:14:06 -0500
