=== debian/control ===
Source: cura-engine
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders: Gregor Riepl <onitake@gmail.com>
Build-Depends: debhelper (>= 10), cmake (>=2.8.12),
 pkg-config (>=0.29),
 libcppunit-dev,
 protobuf-compiler (>=3.0.0), libprotobuf-dev,
 rapidjson-dev, libpolyclipping-dev,
Standards-Version: 4.1.1
Section: utils
Homepage: https://github.com/Ultimaker/CuraEngine
Vcs-Browser: https://anonscm.debian.org/cgit/3dprinter/packages/cura-engine.git/
Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/cura-engine.git

Package: cura-engine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command line slicer engine for 3d printing
 The CuraEngine is a C++ console application for 3D printing
 GCode generation. It has been made as a better and faster
 alternative to the old Skeinforge engine.
