## cura-engine 3.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,6 +30,7 @@
 # Add a compiler flag to check the output for insane values if we are in debug mode.
 if(CMAKE_BUILD_TYPE MATCHES DEBUG OR CMAKE_BUILD_TYPE MATCHES RelWithDebInfo)
     message(STATUS "Building debug release of CuraEngine.")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wextra")
     add_definitions(-DASSERT_INSANE_OUTPUT)
     add_definitions(-DUSE_CPU_TIME)
     add_definitions(-DDEBUG)
@@ -67,12 +68,14 @@
     src/gcodeExport.cpp
     src/GCodePathConfig.cpp
     src/infill.cpp
+    src/InsetOrderOptimizer.cpp
     src/layerPart.cpp
     src/LayerPlan.cpp
     src/LayerPlanBuffer.cpp
     src/MergeInfillLines.cpp
     src/mesh.cpp
     src/MeshGroup.cpp
+    src/Mold.cpp
     src/multiVolumes.cpp
     src/pathOrderOptimizer.cpp
     src/Preheat.cpp
@@ -80,20 +83,22 @@
     src/raft.cpp
     src/skin.cpp
     src/SkirtBrim.cpp
+    src/SupportInfillPart.cpp
     src/sliceDataStorage.cpp
     src/slicer.cpp
     src/support.cpp
     src/timeEstimate.cpp
+    src/TopSurface.cpp
     src/WallsComputation.cpp
     src/wallOverlap.cpp
     src/Weaver.cpp
     src/Wireframe2gcode.cpp
 
     src/infill/NoZigZagConnectorProcessor.cpp
-    src/infill/ZigzagConnectorProcessorConnectedEndPieces.cpp
-    src/infill/ZigzagConnectorProcessorDisconnectedEndPieces.cpp
-    src/infill/ZigzagConnectorProcessorEndPieces.cpp
-    src/infill/ZigzagConnectorProcessorNoEndPieces.cpp
+    src/infill/ZigzagConnectorProcessor.cpp
+    src/infill/SpaceFillingTreeFill.cpp
+    src/infill/SpaghettiInfill.cpp
+    src/infill/SpaghettiInfillPathGenerator.cpp
     src/infill/SubDivCube.cpp
 
     src/pathPlanning/Comb.cpp
@@ -118,17 +123,21 @@
     src/utils/LinearAlg2D.cpp
     src/utils/ListPolyIt.cpp
     src/utils/logoutput.cpp
+    src/utils/PolygonsPointIndex.cpp
     src/utils/PolygonProximityLinker.cpp
     src/utils/polygonUtils.cpp
     src/utils/polygon.cpp
     src/utils/ProximityPointLink.cpp
+    src/utils/SpaceFillingTree.cpp
 )
 
 # List of tests. For each test there must be a file tests/${NAME}.cpp and a file tests/${NAME}.h.
 set(engine_TEST_INFILL
+    SpaceFillingTreeFillTest
 )
 set(engine_TEST_UTILS
     SparseGridTest
+    IntPointTest
     LinearAlg2DTest
     PolygonUtilsTest
     PolygonTest
@@ -158,6 +167,9 @@
 # Compiling the test environment.
 if (BUILD_TESTS)
     message(STATUS "Building tests...")
+
+    find_package(cppunit)
+
     enable_testing()
     foreach (test ${engine_TEST})
         add_executable(${test} tests/main.cpp tests/${test}.cpp)
