=== debian/changelog ===
cura-engine (1:3.0.3-2) unstable; urgency=medium

  * Re-enabled libArcus support, as it's available in Debian now

 -- Gregor Riepl <onitake@gmail.com>  Tue, 28 Nov 2017 23:56:18 +0100

cura-engine (1:3.0.3-1) unstable; urgency=medium

  [ Gregor Riepl ]
  * New upstream release 3.0.3.
  * Updated d/copyright.
  * Updated manpage.
  * Redirected autopkgtest script output to stdout to allow tests to succeed.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 02 Nov 2017 12:51:42 +0000
