=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  libcppunit-dev,
  protobuf-compiler (>=3.0.0), libprotobuf-dev,
  rapidjson-dev, libpolyclipping-dev,
+ libarcus-dev (>=3.0.3)
 Standards-Version: 4.1.1
 Section: utils
 Homepage: https://github.com/Ultimaker/CuraEngine
