=== debian/changelog ===
cura-engine (1:3.1.0-2) unstable; urgency=medium

  * Fixed profiles for autopkgtest (Closes: #889004)

 -- Gregor Riepl <onitake@gmail.com>  Thu, 01 Feb 2018 08:36:23 +0100

cura-engine (1:3.1.0-1) unstable; urgency=medium

  * New upstream release 3.1.0
  * Fixed version being misreported as DEV

 -- Gregor Riepl <onitake@gmail.com>  Fri, 26 Jan 2018 08:34:59 +0100
