=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  libcppunit-dev,
  protobuf-compiler (>=3.0.0), libprotobuf-dev,
  rapidjson-dev, libpolyclipping-dev,
- libarcus-dev (>=3.0.3)
-Standards-Version: 4.1.1
+ libarcus-dev (>=3.1.0)
+Standards-Version: 4.1.3
 Section: utils
 Homepage: https://github.com/Ultimaker/CuraEngine
 Vcs-Browser: https://anonscm.debian.org/cgit/3dprinter/packages/cura-engine.git/
