=== debian/changelog ===
cura-engine (1:3.3.0-2) unstable; urgency=medium

  * Updated test case printer definitions

 -- Gregor Riepl <onitake@gmail.com>  Mon, 09 Jul 2018 22:48:42 +0200

cura-engine (1:3.3.0-1) unstable; urgency=medium

  * New upstream release 3.3.0
  * Migrated to salsa
  * Removed obsolete CMakeLists.txt patches, issues were fixed upstream
  * Fixed fortify/debug build flags

 -- Gregor Riepl <onitake@gmail.com>  Mon, 18 Jun 2018 19:06:11 +0200

cura-engine (1:3.2.1-1) unstable; urgency=medium

  * New upstream release 3.2.1

 -- Gregor Riepl <onitake@gmail.com>  Fri, 16 Mar 2018 08:58:08 +0100
