=== debian/changelog ===
cura-engine (1:4.4.1-2) unstable; urgency=medium

  * Team upload.

  [ Gregor Riepl ]
  * Fix data type mismatches on non-x86 architectures (upstream patch)

 -- Christoph Berg <myon@debian.org>  Sun, 09 Feb 2020 21:43:28 +0100

cura-engine (1:4.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Bump libarcus dependency to 4.4.
  * Add libstb and libgmock dependencies.
  * Fix test that expected the package version to be "master".

 -- Christoph Berg <myon@debian.org>  Tue, 28 Jan 2020 22:09:46 +0100

cura-engine (1:3.3.0-3) unstable; urgency=medium

  * Added patch to fix building with GCC 9. Closes: #925664

 -- Gregor Riepl <onitake@gmail.com>  Fri, 16 Aug 2019 09:09:31 +0200

cura-engine (1:3.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream FTBFS fix, thanks to Juhani Numminen.
    (Closes: #907157)

 -- Adrian Bunk <bunk@debian.org>  Thu, 27 Sep 2018 20:26:09 +0300
