=== debian/control ===
--- 
+++ 
@@ -7,12 +7,14 @@
  libcppunit-dev,
  protobuf-compiler (>=3.0.0), libprotobuf-dev,
  rapidjson-dev, libpolyclipping-dev,
- libarcus-dev (>=3.1.0)
-Standards-Version: 4.1.3
+ libarcus-dev (>= 4.4.0),
+ libgmock-dev,
+ libstb-dev,
+Standards-Version: 4.1.4
 Section: utils
 Homepage: https://github.com/Ultimaker/CuraEngine
-Vcs-Browser: https://anonscm.debian.org/cgit/3dprinter/packages/cura-engine.git/
-Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/cura-engine.git
+Vcs-Browser: https://salsa.debian.org/3dprinting-team/cura-engine
+Vcs-Git: https://salsa.debian.org/3dprinting-team/cura-engine.git
 
 Package: cura-engine
 Architecture: any
