=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/CuraEngine-$1\.tar\.gz/ \
  https://github.com/Ultimaker/CuraEngine/tags .*/(\d\.\S+)\.tar\.gz
