## cura-engine 4.5.0

=== debian/changelog ===
cura-engine (1:4.5.0-2build1) groovy; urgency=medium

  * Rebuild against new libprotobuf23.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Jul 2020 10:24:20 +0200

cura-engine (1:4.5.0-2) unstable; urgency=medium

  * Team upload.
  * Allow some precision deviation in tests on i386.
  * Ignore GCodeExportTest failures on mips64el hppa hurd-i386 ia64.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Mar 2020 12:13:32 +0100

cura-engine (1:4.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Mar 2020 22:17:52 +0100
