## cura-engine 4.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #Copyright (c) 2019 Ultimaker B.V.
 #CuraEngine is released under the terms of the AGPLv3 or higher.
 
+cmake_minimum_required(VERSION 3.6.0)
+
 project(CuraEngine)
-
-cmake_minimum_required(VERSION 3.6.0)
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
@@ -40,9 +40,9 @@
 endif()
 
 if(CMAKE_BUILD_TYPE_UPPER MATCHES "DEBUG")
-    set(CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS_DEBUG_INIT})
-else()
-    set(CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS_RELEASE_INIT})
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_DEBUG_INIT}")
+else()
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_RELEASE_INIT}")
 endif()
 
 set(CMAKE_CXX_STANDARD 11)
@@ -219,6 +219,7 @@
 set(engine_TEST
     GCodeExportTest
     InfillTest
+    LayerPlanTest
     MergeInfillLinesTest
     TimeEstimateCalculatorTest
 )
@@ -359,4 +360,3 @@
         endforeach()
     endif ()
     foreach (test ${engine_TEST_UTILS})
-        add_executable(${test} tests/main.cpp tests/utils/${test}.cpp)
