=== debian/changelog ===
cura-engine (1:4.6.2-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Wrap long lines in changelog entries: 1:2.5.0-3.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Christoph Berg ]
  * New upstream version.
  * Cherry-pick patch from upstream to fix mips64el build.

 -- Christoph Berg <myon@debian.org>  Wed, 19 Aug 2020 11:53:16 +0200
