=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Priority: optional
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Gregor Riepl <onitake@gmail.com>
-Build-Depends: debhelper (>= 10), cmake (>=2.8.12),
- pkg-config (>=0.29),
+Build-Depends: debhelper-compat (= 12), cmake (>= 2.8.12),
+ pkg-config (>= 0.29),
  libcppunit-dev,
- protobuf-compiler (>=3.0.0), libprotobuf-dev,
+ protobuf-compiler (>= 3.0.0), libprotobuf-dev,
  rapidjson-dev, libpolyclipping-dev,
  libarcus-dev (>= 4.4.0),
  libgmock-dev,
