## cura-engine 4.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
     # We want to have access to protobuf_generate_cpp and other FindProtobuf features.
     # However, if ProtobufConfig is used instead, there is a CMake option that controls
     # this, which defaults to OFF. We need to force this option to ON instead.
-    set(protobuf_MODULE_COMPATIBLE ON CACHE "" INTERNAL FORCE)
+    set(protobuf_MODULE_COMPATIBLE ON CACHE INTERNAL "" FORCE)
     find_package(Protobuf 3.0.0 REQUIRED)
     find_package(Arcus REQUIRED)
     add_definitions(-DARCUS)
@@ -176,8 +176,6 @@
     src/infill/ZigzagConnectorProcessor.cpp
     src/infill/SierpinskiFill.cpp
     src/infill/SierpinskiFillProvider.cpp
-    src/infill/SpaghettiInfill.cpp
-    src/infill/SpaghettiInfillPathGenerator.cpp
     src/infill/SubDivCube.cpp
     src/infill/GyroidInfill.cpp
 
@@ -360,3 +358,4 @@
         endforeach()
     endif ()
     foreach (test ${engine_TEST_UTILS})
+        add_executable(${test} tests/main.cpp tests/utils/${test}.cpp)
