=== debian/changelog ===
cura-engine (1:4.7.1-2) unstable; urgency=medium

  [ Gregor Riepl ]
  * Added build fix for missing algorithm include. Closes: #972808

  [ Christoph Berg ]
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Sun, 01 Nov 2020 22:06:52 +0100

cura-engine (1:4.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.7.1.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Sep 2020 10:36:14 +0200
