=== debian/changelog ===
cura-engine (1:4.8-1) unstable; urgency=medium

  * New upstream version 4.8.
  * debian/watch: Handle -beta releases.

 -- Christoph Berg <myon@debian.org>  Wed, 18 Nov 2020 09:13:54 +0100
